import { GeoJson, MapState, Point } from 'pigeon-maps';
import React from 'react';

const LiveOverlay: React.FC<{
  coordinates: [number, number][];
  mapState: any;
  latLngToPixel: any;
}> = (props: {
  coordinates: [number, number][];
  mapState: MapState;
  latLngToPixel:
    | ((
        latLng: Point,
        center?: Point | undefined,
        zoom?: number | undefined
      ) => Point)
    | undefined;
}) => {
  return (
    <GeoJson
      data={{
        type: 'FeatureCollection',
        features: [
          {
            type: 'Feature',
            geometry: { type: 'LineString', coordinates: props.coordinates },
            properties: { prop0: 'value0' },
          },
        ],
      }}
      mapState={props.mapState}
      latLngToPixel={props.latLngToPixel}
    />
  );
};

export default LiveOverlay;
